# Draw
TKViewerTest
ViewerTest

# ViewerTest_DoubleMapOfInteractiveAndName Class Reference

`#include <ViewerTest_DoubleMapOfInteractiveAndName.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | ViewerTest_DoubleMapOfInteractiveAndName (const Standard_Integer NbBuckets=1)
Standard_EXPORT ViewerTest_DoubleMapOfInteractiveAndName & | Assign (const ViewerTest_DoubleMapOfInteractiveAndName &Other)
ViewerTest_DoubleMapOfInteractiveAndName & | operator= (const ViewerTest_DoubleMapOfInteractiveAndName &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~ViewerTest_DoubleMapOfInteractiveAndName ()
Standard_EXPORT void | Bind (const Handle(AIS_InteractiveObject)&K1, const TCollection_AsciiString &K2)
Standard_EXPORT Standard_Boolean | AreBound (const Handle(AIS_InteractiveObject)&K1, const TCollection_AsciiString &K2) const
Standard_EXPORT Standard_Boolean | IsBound1 (const Handle(AIS_InteractiveObject)&K) const
Standard_EXPORT Standard_Boolean | IsBound2 (const TCollection_AsciiString &K) const
Standard_EXPORT const TCollection_AsciiString & | Find1 (const Handle(AIS_InteractiveObject)&K) const
Standard_EXPORT const Handle_AIS_InteractiveObject & | Find2 (const TCollection_AsciiString &K) const
Standard_EXPORT Standard_Boolean | UnBind1 (const Handle(AIS_InteractiveObject)&K)
Standard_EXPORT Standard_Boolean | UnBind2 (const TCollection_AsciiString &K)

## Private Member Functions

Standard_EXPORT | ViewerTest_DoubleMapOfInteractiveAndName (const ViewerTest_DoubleMapOfInteractiveAndName &Other)

## Constructor & Destructor Documentation

Standard_EXPORT ViewerTest_DoubleMapOfInteractiveAndName::ViewerTest_DoubleMapOfInteractiveAndName | ( | const Standard_Integer | NbBuckets = `1` | ) |

ViewerTest_DoubleMapOfInteractiveAndName::~ViewerTest_DoubleMapOfInteractiveAndName | ( |  | ) | `[inline]`

Standard_EXPORT ViewerTest_DoubleMapOfInteractiveAndName::ViewerTest_DoubleMapOfInteractiveAndName | ( | const ViewerTest_DoubleMapOfInteractiveAndName & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT Standard_Boolean ViewerTest_DoubleMapOfInteractiveAndName::AreBound | ( | const Handle(AIS_InteractiveObject)& | K1,
|  | const TCollection_AsciiString & | K2
| ) | const

Standard_EXPORT ViewerTest_DoubleMapOfInteractiveAndName& ViewerTest_DoubleMapOfInteractiveAndName::Assign | ( | const ViewerTest_DoubleMapOfInteractiveAndName & | Other | ) |

Standard_EXPORT void ViewerTest_DoubleMapOfInteractiveAndName::Bind | ( | const Handle(AIS_InteractiveObject)& | K1,
|  | const TCollection_AsciiString & | K2
| ) |

Standard_EXPORT void ViewerTest_DoubleMapOfInteractiveAndName::Clear | ( |  | ) |

Standard_EXPORT const TCollection_AsciiString& ViewerTest_DoubleMapOfInteractiveAndName::Find1 | ( | const Handle(AIS_InteractiveObject)& | K | ) | const

Standard_EXPORT const Handle_AIS_InteractiveObject& ViewerTest_DoubleMapOfInteractiveAndName::Find2 | ( | const TCollection_AsciiString & | K | ) | const

Standard_EXPORT Standard_Boolean ViewerTest_DoubleMapOfInteractiveAndName::IsBound1 | ( | const Handle(AIS_InteractiveObject)& | K | ) | const

Standard_EXPORT Standard_Boolean ViewerTest_DoubleMapOfInteractiveAndName::IsBound2 | ( | const TCollection_AsciiString & | K | ) | const

void ViewerTest_DoubleMapOfInteractiveAndName::operator delete | ( | void * | anAddress | ) | `[inline]`

void* ViewerTest_DoubleMapOfInteractiveAndName::operator new | ( | size_t | size | ) | `[inline]`

void* ViewerTest_DoubleMapOfInteractiveAndName::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

ViewerTest_DoubleMapOfInteractiveAndName& ViewerTest_DoubleMapOfInteractiveAndName::operator= | ( | const ViewerTest_DoubleMapOfInteractiveAndName & | Other | ) | `[inline]`

Standard_EXPORT void ViewerTest_DoubleMapOfInteractiveAndName::ReSize | ( | const Standard_Integer | NbBuckets | ) |

Standard_EXPORT Standard_Boolean ViewerTest_DoubleMapOfInteractiveAndName::UnBind1 | ( | const Handle(AIS_InteractiveObject)& | K | ) |

Standard_EXPORT Standard_Boolean ViewerTest_DoubleMapOfInteractiveAndName::UnBind2 | ( | const TCollection_AsciiString & | K | ) |

The documentation for this class was generated from the following file:

- ViewerTest_DoubleMapOfInteractiveAndName.hxx